## org.gjt.sp.jedit.msg
Class TextAreaUpdate

    java.lang.Object
      org.gjt.sp.jedit.EBMessage
          org.gjt.sp.jedit.msg.TextAreaUpdate

Direct Known Subclasses:
  CaretChanging

Deprecated. - use EditPaneUpdate

    public class TextAreaUpdate

extends EBMessage

Sent on the editbus when events are coming from the TextArea.

Since:
  jedit 4.3pre5

Field Summary
`static java.lang.String` `CARET_CHANGING` Deprecated.

Constructor Summary
`TextAreaUpdate(JEditTextArea textArea, java.lang.String what)` Deprecated.

Method Summary
`JEditTextArea` `getTextArea()` Deprecated.
`java.lang.String` `getWhat()` Deprecated.

Methods inherited from class org.gjt.sp.jedit.EBMessage
`getSource, paramString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CARET_CHANGING

    public static final java.lang.String CARET_CHANGING

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### TextAreaUpdate

    public TextAreaUpdate(JEditTextArea textArea,
                          java.lang.String what)

  Deprecated.

Method Detail

### getWhat

    public java.lang.String getWhat()

  Deprecated.

### getTextArea

    public JEditTextArea getTextArea()

  Deprecated.